
QGIS Application - Bug report #3749

labels out of view for long straight lines

2011-04-16 09:47 AM - Mayeul Kauffmann

Status: Closed

Priority: Low

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 13808

Description

When a line feature as only one segment (2 points), the label is put in the middle, even if the middle is out of the map canvas, hence not

visible (see attached screenshot).

History

#1 - 2011-12-16 12:45 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-16 06:27 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

#3 - 2012-09-04 12:00 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#4 - 2012-11-19 03:00 AM - Regis Haubourg

not reproduced on master here. Tested also multineString.

#5 - 2014-06-28 07:38 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#6 - 2015-11-20 07:55 AM - Médéric RIBREUX

- Pull Request or Patch supplied set to No

- Status changed from Open to Closed

- % Done changed from 0 to 100

- Resolution set to fixed/implemented

Hello, bug triage...

I can't reproduce it on QGIS 2.13 master. The new labelling engines have fixed this bug because the labels are always displayed on the lines.

I am closing this bug.
